%global install_loc     %{_datadir}/eclipse/dropins/veditor

Name:           eclipse-veditor
Version:        1.2.0
Release:        %mkrel 2
Summary:        Eclipse-based Verilog/VHDL plugin

Group:          Development/Java
License:        EPL
URL:            http://sourceforge.net/projects/veditor/

Source0:        http://downloads.sourceforge.net/sourceforge/veditor/veditor_1_2_0.tar.gz
Patch0:         eclipse-gtk-dir.patch

BuildRequires:  eclipse-pde
BuildRequires:  javacc
BuildRequires:  java-devel
BuildRequires:  ant

Requires:       eclipse-platform
Requires:       freehdl
Requires:       iverilog

BuildArch:      noarch

%description
Eclipse Verilog editor is a plugin for the Eclipse IDE.
It provides Verilog(IEEE-1364) and VHDL language specific code
viewer, contents outline, code assist etc. It helps coding and
debugging in hardware development based on Verilog or VHDL.

%prep
%setup -q -c
%patch0 -p0 -b.orig

# Delete pre-built binaries
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

# Fix ersion in build script to match manifest
sed -i "s|1.1.1|1.2.0|" veditor/buildjavacc.xml

# Fix rpmlint warnings
for f in CONTRIBUTORS.txt ChangeLog.txt about.html ; do
    sed 's|\r||' veditor/$f > $f
done

%build
for d in %{_libdir}/eclipse/plugins/org.eclipse.swt.gtk.linux* ; do
    if [ -d "$d" ] ; then
        GTK_DIR=$d
    fi
done
ant -verbose -f veditor/buildjavacc.xml export -Djavacc_dir=%{_javadir} \
    -Declipse_plugin_dir=%{_libdir}/eclipse/plugins \
    -Declipse_gtk_dir=$GTK_DIR

%install
install -d -m 755 %{buildroot}%{install_loc}/plugins
install -pm 0644 veditor/net.sourceforge.veditor_%{version}.jar \
    %{buildroot}%{install_loc}/plugins

%files
%doc CONTRIBUTORS.txt ChangeLog.txt about.html
%{install_loc}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 542313
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 1.2.0-1.mga4
+ Revision: 497358
- New version

* Fri Jan 11 2013 umeabot <umeabot> 0.6.3-8.mga3
+ Revision: 349476
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 0.6.3-7.mga3
+ Revision: 290822
- Build with Java7

* Fri May 13 2011 dmorgan <dmorgan> 0.6.3-6.mga1
+ Revision: 98084
- imported package eclipse-veditor


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.6.3-3
- fixed source0's url

* Tue Jun 16 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.6.3-2
- Tuned spec file for eclipse specific packaging guidelines

* Sat May 23 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.6.3-1
- Initial Fedora Package
